|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QAbstractItemDelegate

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QAbstractItemDelegate class reference

### Static Public Members

- QString elidedText ( const QFontMetrics & fontMetrics, int width, Qt::TextElideMode mode, const QString & text ) `(obsolete)`

## Member Function Documentation

### QString QAbstractItemDelegate::elidedText ( const QFontMetrics & fontMetrics, int width, Qt::TextElideMode mode, const QString & text ) `[static]`

Use QFontMetrics::elidedText() instead.

For example, if you have code like

     QFontMetrics fm = ...
     QString str = QAbstractItemDelegate::elidedText(fm, width, mode, text);

you can rewrite it as

     QFontMetrics fm = ...
     QString str = fm.elidedText(text, mode, width);